# eric7.Project.ProjectFile

Module implementing a class representing the project JSON file.

### Global Attributes

Project

### Classes

ProjectFile | Class representing the project JSON file.

### Functions

None

## ProjectFile

Class representing the project JSON file.

### Derived from

QObject

### Class Attributes

None

### Class Methods

None

### Methods

ProjectFile | Constructor
readFile | Public method to read the project data from a project JSON file.
writeFile | Public method to write the project data to a project JSON file.

### Static Methods

None

#### ProjectFile (Constructor)

ProjectFile(project: Project, parent: QObject = None)

Constructor

project (Project)
  reference to the project object
parent (QObject (optional))
  reference to the parent object (defaults to None)

#### ProjectFile.readFile

readFile(filename: str)

Public method to read the project data from a project JSON file.

filename (str)
  name of the project file

Return:
  flag indicating a successful read

Return Type:
  bool

#### ProjectFile.writeFile

writeFile(filename: str)

Public method to write the project data to a project JSON file.

filename (str)
  name of the project file

Return:
  flag indicating a successful write

Return Type:
  bool

Up